Retry failed provisioning of Access Bundle.
post
/access-governance/access-controls/20250331/accessBundles/{accessBundleId}/retry
Retries a failed provisioning of Access Bundle.
Request
Path Parameters
-
accessBundleId(required): string
A filter to be used for finding Access Bundles with the given id. Available values can be found using the ListAccessBundles operation.
Header Parameters
-
opc-request-id: string
The client request ID for tracing. The only valid characters for request IDs are letters, numbers, underscore, and dash.
Details for the retry operation.
Root Schema : RetryAccessBundleDetails
Type:
objectThe information about retrying provisioning for an Access Bundle.
Show Source
-
globalIdentityId:
string
Global Identity Id of the user for whom Access Bundle provisioning is retried.
Response
Supported Media Types
- application/json
200 Response
Access Bundle retry was successfully requested.
Headers
-
etag: string
For optimistic concurrency control. See `if-match`.
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : PermissionData
Type:
objectPermission Data.
Show Source
-
globalIdentityId(required):
string
Global identity id.
-
state:
string
State of permission.
400 Response
Bad Request
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
401 Response
Unauthorized
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
404 Response
Not Found
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
409 Response
Conflict
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
429 Response
Too Many Requests
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
500 Response
Internal Server Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Default Response
Unknown Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Examples
The following example shows how to retry failed provisioning of an access bundles for an identity.
cURL Request Example
curl -i -X POST \
-H "Authorization:Bearer <your-access-token>" \
-H "Content-Type:application/json" \
-d \
'{
"globalIdentityId": "globalId.ICF.xxxxf.f87ee200b43132df95053b2879a66e61"
}'\
'<${service-instance-url}/access-governance/access-controls/${versionId}/accessBundles/{accessBundleId}/retry' >'
Example Request Payload
{
"globalIdentityId": "globalId.ICF.xxxxf.f87ee200b43132df95053b2879a66e61"
}Example of the Response Code
You'll receive 200 OK response along with the following response body:
{
"globalIdentityId": "globalId.ICF.xxxxf.f87ee200b43132df95053b2879a66e61",
"state": "Retry in Progress"
}